Gemini-3-Pro 이미지 생성
Generate images using Google Gemini 3 Pro model, with powerful image generation capabilities
중국 본토 사용자 안내: 중국 본토 사용자는 https://toapis.cn 를 API 엔드포인트(Base URL)로 사용해 주세요. 본 문서의 예시에서 https://toapis.com 을 https://toapis.cn 로 바꿔 주세요.
- Google Gemini 3 Pro powerful image generation model
- Use model parameter to select
gemini-3-pro-image-previewmodel - 텍스트 기반 이미지 생성 및 최대 14장의 참조 이미지를 사용하는 이미지 편집 지원
- Async task management, query results by task ID
Important Change: For better performance and cost control, we no longer support passing base64 image data directly in image_urls. Please use the Upload 이미지 API first to upload images and get URLs, then call this endpoint.
Authorizations
Authorizationstring헤더필수All endpoints require Bearer Token authentication
Get your API Key from the API Key Management Page
Add to request header:
Authorization: Bearer YOUR_API_KEYBody
modelstring본문필수기본값: gemini-3-pro-image-previewImage generation model name
Example: "gemini-3-pro-image-preview"
promptstring본문필수Text description for image generation
The upstream model input limit is 65,536 tokens. ToAPIs does not add a 1000-character cap.
sizestring본문Image generation aspect ratio
Supported formats:
- Ratios:
1:1,2:3,3:2,3:4,4:3,4:5,5:4,9:16,16:9,21:9
ninteger본문기본값: 1Number of images to generate
Fixed at 1
⚠️ Note: Must be a pure number (e.g. 1), do not add quotes, otherwise it will error
metadataobject본문Metadata parameters for passing additional configuration options
Supported metadata fields
resolutionstring본문기본값: 1KOutput image resolution
Supported values:
1K- 1K resolution (default)2K- 2K resolution4K- 4K resolution
orientationstring본문Image orientation
Supported values:
landscape- Landscapeportrait- Portrait
image_urlsobject[]본문List of reference image URLs for image-to-image or image editing
Detailed field description
urlstring본문필수Image URL address
⚠️ URL format only (base64 no longer supported)
- Publicly accessible image URL (http:// or https://)
- Example:
https://example.com/image.jpg - You can use the Upload 이미지 API to upload local images and get URLs
Limitations:
- Single image must not exceed 10MB
- Supported formats: .jpeg, .jpg, .png, .webp
참조 이미지는 최대 14장입니다.
응답
idstringUnique task identifier for status queries
objectstringObject type, always generation.task
modelstring모델 name used
statusstringTask status
queued- Queued for processingin_progress- Processingcompleted- Successfully completedfailed- Failed
progressintegerTask progress percentage (0-100)
created_atintegerTask creation timestamp (Unix timestamp)
metadataobjectTask metadata
요청 예시
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-preview",
"prompt": "Futuristic city skyline with neon lights",
"size": "16:9",
"n": 1,
"metadata": {
"resolution": "1K",
"orientation": "landscape"
}
}'curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-preview",
"prompt": "Enhance the colors and details of this city photo",
"size": "16:9",
"n": 1,
"metadata": {
"resolution": "2K"
},
"image_urls": ["https://example.com/city.jpg"]
}'import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-3-pro-image-preview",
"prompt": "Futuristic city skyline with neon lights",
"size": "16:9",
"n": 1,
"metadata": {
"resolution": "1K",
"orientation": "landscape"
}
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-3-pro-image-preview",
"prompt": "Enhance the colors and details of this city photo",
"size": "16:9",
"n": 1,
"metadata": {
"resolution": "2K"
},
"image_urls": ["https://example.com/city.jpg"]
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-3-pro-image-preview',
prompt: 'Futuristic city skyline with neon lights',
size: '16:9',
n: 1,
metadata: {
resolution: '1K',
orientation: 'landscape'
}
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-3-pro-image-preview',
prompt: 'Enhance the colors and details of this city photo',
size: '16:9',
n: 1,
metadata: {
resolution: '2K'
},
image_urls: ['https://example.com/city.jpg']
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);응답 예시
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-3-pro-image-preview",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}